Skip to content

GET

GET
/api/web/namespaces/system/user/settings
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings \
--header 'Authorization: <Authorization>'

Retrieves current user settings object defined to the user.

Examples of this operation.

A successful response.

Media typeapplication/json
UserSettingsResponse

Response of modified user settings.

object
image
Image

Image blob field stores user’s image, should be base64 encoded while used by HTTP.

string format: byte
<= 1024 characters
initial_access
object
email_sent
EmailSent

Boolean flag which shows whether email has been sent or not.

boolean format: boolean
last_requesting_time
Last requesting time

If initial access was requested at least once, last_requesting_time contains last time when it happened.

string format: date-time
<= 1024 characters
requested
Requested

Boolean flag which shows whether initial access was requested or not.

boolean format: boolean
is_next_request_allowed
Is Next Request Allowed

Boolean flag which shows whether RE-request access is allowed or not. Virtually flag shows whether 24hrs are passed from the last_requesting_time timestamp or not.

boolean format: boolean
notifications
EnabledNotification

List of enabled notifications for specific user account.

Array<object>
Notification

Definition of existing notifications created for subscription.

object
code
Code

Code of notification.

string
<= 1024 characters
description
Notification

Description text of the notification.

string
>= 21 characters <= 1024 characters
enabled
Enabled

Is it enabled.

boolean format: boolean
label
Label

Public label of the notification.

string
<= 1024 characters
otp_enabled
OTP Enabled

Switcher for configuration of enabling OTP in IAM Provider.

boolean format: boolean
otp_status
string
default: OTP_DISABLED
Allowed values: OTP_DISABLED OTP_ENABLED OTP_PROCESSING OTP_PROCESS_DISABLING
Example
{
"otp_status": "OTP_DISABLED"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example